Create Org Role
Create a custom role; the caller may only grant permissions it holds itself.
Authorization
OAuth2AuthorizationCodeBearer AuthorizationBearer <token>
In: header
Path Parameters
org_id*Org Id
Format
uuidQuery Parameters
verify_locally?Verify Locally
Default
trueRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/organisations/497f6eca-6276-4993-bfeb-53cbbbba6f08/roles" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "permissions": [ "org:read" ] }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "key": "string", "name": "string", "description": "string", "permissions": [ "org:read" ], "is_system": true, "member_count": 0, "api_client_count": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string" } ]}